package app15a.form;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;

public final class CustomerForm extends ActionForm {
  private int id;
  private String name;
  private String address;
  private String phone;

  public int getId() {
    return id;
  }
       	
  public void setId(int id) {
  	this.id = id;
  }
 
  public String getName() {
   return name;
  }
  	
  public void setName(String name) {
    this.name = name;
  }
 
	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
	  	ActionErrors actionErrors = new ActionErrors();
	  	if (name.equals("")) {
	   	  actionErrors.add("no.name", new ActionMessage("no.name"));
	 	 	}	  	
	  	if (address.equals("")) {
		   	actionErrors.add("no.address", new ActionMessage("no.address"));
		 	} 
	  	if (phone.equals("")) {
		  	actionErrors.add("no.phone", new ActionMessage("no.phone"));
		 	} 	  	
	 	 	return actionErrors;
	 	}
}
